GuidesRecipesAPI ReferenceChangelog
Log In
API Reference

Search for clients with push notifications disabled

Retrieve a paginated, sortable, and filterable list of MDM clients that have push notifications disabled. The endpoint queries the mdm_client table and returns information about when push was disabled and links to the device records.

Required privilege: View MDM command information in Jamf Pro API

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
integer
Defaults to 0
integer
Defaults to 100
sort
array of strings
Defaults to pushDisabledTime:asc

Sorting criteria in the format: property(,asc|desc). Default sort order is ascending. Multiple sort criteria are supported. Sortable fields: pushDisabledTime, deviceType, managementId

sort
string

Query in the RSQL format, allowing to filter results. Fields allowed in the query: deviceType, disabledAt, managementId. This param can be combined with paging and sorting.

Example: filter=deviceType=="MOBILE_DEVICE" Example: filter=disabledAt>2024-11-01T00:00:00Z Example: filter=deviceType=="COMPUTER";disabledAt>2024-01-01T00:00:00Z

Responses

Language
Credentials
LoadingLoading…
Response
Choose an example:
application/json